=================== Sample 1 =================== 
** Input **
What requires nutrients to grow?
Choices:
- birds
- metals
- computers
- dirt

** Output **
Step 1: Recall the definition of nutrients.
Nutrients are substances that are essential for the growth, development, and maintenance of living organisms.

Step 2: Analyze each option and determine which one requires nutrients to grow.
- Birds: Birds are living organisms and require nutrients to grow.
- Metals: Metals are inanimate objects and do not require nutrients to grow.
- Computers: Computers are machines and do not require nutrients to grow.
- Dirt: Dirt is a mixture of minerals, organic matter, and other substances, but it does not require nutrients to grow.

Step 3: Compare the options and identify the correct answer.
Among the given choices, only birds require nutrients to grow.

Therefore, the answer is \boxed{birds}.

=================== Sample 2 =================== 
** Input **
Two analogies that relate objects to the associated rooms is given in the form "A : B. C : ?". "A : B" relates object A to room B. Your task is to replace the question mark (?) with the appropriate room for the given object C, following the "A : B" relation.

bookshelf : library. car : ?

** Output **
Step 1: Identify the relationship between the object and the room in the given analogy.
In the analogy "bookshelf : library", the bookshelf is typically found in the library.

Step 2: Apply the same relationship to the second part of the analogy.
Since a car is typically found in a garage, we can replace the question mark with "garage".

Therefore, the answer is \boxed{garage}.

=================== Sample 3 =================== 
** Input **
I have a new situation: Big town and Fair town both used petroleum products. Big town used them to make plastics and related materials, but didn't use it for gas, because they were environmentally conscious and used only electric vehicles for transportation. Fair town used petroleum for fuel mostly.

But I can use this background: A major use for petroleum products is fuel for cars, trucks, airplanes, trains, and other vehicles. The chemical used are usually a mixture of compounds containing several carbon atoms in a chain. When the material is ignited, a massive amount of gas is created almost instantaneously. This increase in volume will move the pistons in an internal combustion engine to provide power. A jet plane works on a similar principle. Air comes into the front of the engine and mixes with the jet fuel. This mixture is ignited and the gases formed create a lot of pressure to push the plane forward. The idea can be seen even more clearly in the case of a rocket launch. The ignition of the fuel (either solid-state or liquid) creates gases produced under great pressure that pushes the rocket up.

What is an answer for this question: Which town used more fuel for internal combustion engines?

** Output **
Step 1: Extract key information from the situation.
Big town uses petroleum products to make plastics and related materials, but not for gas as they use electric vehicles for transportation. Fair town uses petroleum mostly for fuel.

Step 2: Recall the background information.
The background information states that a major use for petroleum products is fuel for vehicles with internal combustion engines.

Step 3: Apply the background information to the situation.
Since Big town uses electric vehicles, they do not use petroleum for fuel in internal combustion engines. On the other hand, Fair town uses petroleum mostly for fuel, which implies they use it for internal combustion engines.

Therefore, the answer is \boxed{Fair}.

=================== Sample 4 =================== 
** Input **
In this task, you need to answer the given multiple-choice question on geometry. Classify your answers into 'a', 'b', 'c', 'd', and 'e'.

Problem: the radius of the two circular fields is in the ratio 4 : 5 the area of the first field is what percent less than the area of the second ? 
Options: a ) 42 % , b ) 39 % , c ) 38 % , d ) 36 % , e ) 26 %

** Output **
```python
def calculate_area(radius):
    """
    Calculate the area of a circle given its radius.
    """
    area = 3.14159 * radius**2
    return area


def calculate_percent_difference(area1, area2):
    """
    Calculate the percentage difference between two areas.
    """
    difference = area2 - area1
    percent_difference = (difference / area2) * 100
    return percent_difference


def main():
    """
    The main function that calls the other functions and prints the answer.
    """
    radius1 = 4
    radius2 = 5
    area1 = calculate_area(radius1)
    area2 = calculate_area(radius2)
    percent_less = calculate_percent_difference(area1, area2)

    options = {
        'a': 42,
        'b': 39,
        'c': 38,
        'd': 36,
        'e': 26
    }

    for option, percent in options.items():
        if percent == percent_less:
            print(option)
            break


main()

```

=================== Sample 5 =================== 
** Input **
In this task, you need to replace a letter in the sentence with another given letter.

Sentence: 'a red plus sign over a toilet, near a sink'. Replace the letter 'r' with 'o' in the sentence.

** Output **
```python
def replace_letter(sentence, old_letter, new_letter):
    """
    Replace a letter in a sentence with another given letter.
    """
    replaced_sentence = sentence.replace(old_letter, new_letter)
    return replaced_sentence


def main():
    """
    The main function that calls the other functions and prints the answer.
    """
    sentence = 'a red plus sign over a toilet, near a sink'
    old_letter = 'r'
    new_letter = 'o'
    replaced_sentence = replace_letter(sentence, old_letter, new_letter)
    print(replaced_sentence)


main()

```

=================== Sample 6 =================== 
** Input **
In this task, you are given an input list. A list contains several comma-separated items written within brackets. You need to return the count of all the numerical elements in the given list. Return 0 if no numerical element in the list.

['D', '9987', '4565', 'j', 'V', 'S', '1033', '7319', 'S']

** Output **
```python
def count_numerical_elements(lst):
    """
    Count the number of numerical elements in a given list.
    """
    count = 0
    for item in lst:
        if item.isdigit():
            count += 1
    return count


def main():
    """
    The main function that calls the other functions and prints the answer.
    """
    lst = ['D', '9987', '4565', 'j', 'V', 'S', '1033', '7319', 'S']
    count = count_numerical_elements(lst)
    print(count)


main()

```
